Index: tempfile/Cargo.toml
===================================================================
--- tempfile.orig/Cargo.toml
+++ tempfile/Cargo.toml
@@ -52,7 +52,7 @@ version = "0.37.11"
 features = ["fs"]
 
 [target."cfg(target_os = \"redox\")".dependencies.redox_syscall]
-version = "0.3"
+version = "0.2.9"
 
 [target."cfg(windows)".dependencies.windows-sys]
 version = "0.48"
